@charset "UTF-8";
/**
 * premium.scss
 * @update 2020-02-04
 */
/** カスタマーメニュー Q000300
*************************************************** **/
.maincontents td.menu > table > tbody > tr > td.menu {
  padding: 10px 0 !important;
}

.maincontents td.menu > table > tbody > tr > td.menu table {
  width: 100%;
}

.maincontents td.menu > table > tbody > tr > td.menu table td {
  min-width: 60px;
  line-height: 1.5;
  color: #333;
  font-weight: 700;
  text-align: center;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report-container {
  position: relative;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report-datetime {
  box-sizing: border-box;
  position: relative;
  padding: 5px 0;
  color: #777;
  background: #f5f5f5;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report-datetime .report-timestamp {
  width: 100%;
  text-align: center;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report-datetime .btn-report-update {
  cursor: pointer;
  position: absolute;
  top: 3px;
  right: 3px;
  padding: 2px 8px;
  color: #fff;
  font-weight: normal;
  background: #1e9bcf;
  border-radius: 2px;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report-datetime .btn-report-update:hover {
  background: #1faadf;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report {
  display: flex;
  justify-content: space-between;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data {
  box-sizing: border-box;
  margin-right: 5px;
  padding: 15px;
  width: 50%;
  text-align: center;
  background: #f5f5f5;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data:last-of-type {
  margin: 0;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data .report-usage {
  padding: 10px 0;
  font-size: 18px;
  font-weight: bold;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data .report-usage .report-unit {
  padding-left: 5px;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data .report-title,
.maincontents td.menu > table > tbody > tr > td.menu table td .report .report-data .report-limit {
  color: #777;
  font-size: 12px;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .exceed-msg {
  display: block;
  margin: 5px 0 0;
  padding: 5px;
  color: #666;
  text-align: left;
}

.maincontents td.menu > table > tbody > tr > td.menu table td .exceed-msg em {
  display: inline;
  padding: 0 5px;
  color: #fa4233;
  font-style: normal;
  text-align: left;
}

/** プロジェクト一覧 Q030100
*************************************************** **/
.record {
  display: inline-block;
  width: 100%;
  font-weight: 700;
  text-align: center;
}

.record.exceed {
  color: #cc0000;
}

.project-status {
  box-sizing: border-box;
  display: block;
  margin: 0 auto;
  padding: 5px 10px;
  width: 60px;
  color: #fff;
  text-align: center;
  background: #f5f5f5;
  border-radius: 2px;
}

.project-status.production {
  background: #1e9bcf;
}

.project-status.test {
  background: #6e9f3a;
}

.project-status.end {
  margin-bottom: 4px;
  background: #9cb3bb;
}

.project-menu {
  position: relative;
  margin: 0 auto;
  width: 60px;
}

.project-menu::after {
  content: '';
  z-index: 1;
  pointer-events: none;
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.project-menu .btn-project-menu {
  z-index: 99;
  position: relative;
  width: 100%;
}

.project-menu .btn-project-menu .project-menu-status {
  box-sizing: border-box;
  display: block;
  padding: 5px 10px;
  width: 100%;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  transition: background-color .2s ease;
}

.project-menu .btn-project-menu .project-menu-status.production {
  background: #1e9bcf;
}

.project-menu .btn-project-menu .project-menu-status.test {
  background: #6e9f3a;
}

.project-menu .btn-project-menu .project-menu-status.end {
  margin-bottom: 4px;
  background: #9cb3bb;
}

.project-menu .project-menu-body {
  z-index: 100;
  position: absolute;
  top: 10px;
  left: 30px;
  width: 100px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  box-shadow: 4px 4px 8px -4px #888;
  opacity: 0;
  transform: scale(0);
  transform-origin: top left 16px;
  transition: all .1s ease;
}

.project-menu .project-menu-body .project-menu-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.project-menu .project-menu-body .project-menu-list li {
  cursor: pointer;
  padding: 8px;
  line-height: 24px;
  color: #333;
  text-align: left;
}

.project-menu .project-menu-body .project-menu-list li:first-of-type {
  border-radius: 4px 4px 0 0;
}

.project-menu .project-menu-body .project-menu-list li:last-of-type {
  border-radius: 0 0 4px 4px;
}

.project-menu .project-menu-body .project-menu-list li:hover {
  background: #f5f5f5;
}

.project-menu-open .project-menu-body {
  opacity: 1;
  transform: scale(1);
}

.project-menu.project-menu-open::after {
  pointer-events: auto;
}

/** プロジェクトメニュー Q040100
*************************************************** **/
.warn {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  margin-bottom: 10px;
  padding: 5px 10px;
  width: 78%;
  color: #fff;
  background: #ff642a;
  border-radius: 2px;
}

.warn .msg {
  padding: 5px;
}

.report {
  padding: 6px 0;
  text-align: center;
  font-size: 16px;
}

.report > em {
  display: inline;
  font-style: normal;
  font-weight: 700;
  text-align: left;
}

/** Loading Spinners
*************************************************** **/
.loader {
  pointer-events: none;
  visibility: hidden;
  z-index: 99;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  border-radius: 2px;
}

.loader.loading {
  pointer-events: auto;
}

.dot-pulse {
  position: relative;
  left: -9999px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #fff;
  color: #fff;
  box-shadow: 9999px 0 0 -5px #fff;
  animation: dotPulse 1s infinite linear;
  animation-delay: .25s;
}

.dot-pulse::before, .dot-pulse::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #fff;
  color: #fff;
}

.dot-pulse::before {
  box-shadow: 9984px 0 0 -5px #fff;
  animation: dotPulseBefore 1s infinite linear;
  animation-delay: 0s;
}

.dot-pulse::after {
  box-shadow: 10014px 0 0 -5px #fff;
  animation: dotPulseAfter 1s infinite linear;
  animation-delay: .5s;
}

@keyframes dotPulseBefore {
  0% {
    box-shadow: 9984px 0 0 -5px #fff;
  }
  30% {
    box-shadow: 9984px 0 0 2px #fff;
  }
  60%,
  100% {
    box-shadow: 9984px 0 0 -5px #fff;
  }
}

@keyframes dotPulse {
  0% {
    box-shadow: 9999px 0 0 -5px #fff;
  }
  30% {
    box-shadow: 9999px 0 0 2px #fff;
  }
  60%,
  100% {
    box-shadow: 9999px 0 0 -5px #fff;
  }
}

@keyframes dotPulseAfter {
  0% {
    box-shadow: 10014px 0 0 -5px #fff;
  }
  30% {
    box-shadow: 10014px 0 0 2px #fff;
  }
  60%,
  100% {
    box-shadow: 10014px 0 0 -5px #fff;
  }
}
